aboutsummaryrefslogtreecommitdiff
path: root/paludis/repositories/e/e_repository_TEST_4_setup.sh
diff options
context:
space:
mode:
Diffstat (limited to 'paludis/repositories/e/e_repository_TEST_4_setup.sh')
-rwxr-xr-xpaludis/repositories/e/e_repository_TEST_4_setup.sh105
1 files changed, 47 insertions, 58 deletions
diff --git a/paludis/repositories/e/e_repository_TEST_4_setup.sh b/paludis/repositories/e/e_repository_TEST_4_setup.sh
index fbf5b0fd5..dac100902 100755
--- a/paludis/repositories/e/e_repository_TEST_4_setup.sh
+++ b/paludis/repositories/e/e_repository_TEST_4_setup.sh
@@ -256,7 +256,7 @@ src_compile() {
END
mkdir -p "cat/econf-source"
cat <<END > cat/econf-source/econf-source-0.ebuild || exit 1
-EAPI="\${PV}"
+EAPI="0"
DESCRIPTION="The Description"
HOMEPAGE="http://example.com/"
SRC_URI=""
@@ -280,10 +280,12 @@ src_install() {
}
END
cp cat/econf-source/econf-source-{0,1}.ebuild || exit 1
+sed -i -e 's/EAPI="0"/EAPI="1"/' cat/econf-source/econf-source-1.ebuild || exit 1
cp cat/econf-source/econf-source-{0,2}.ebuild || exit 1
+sed -i -e 's/EAPI="0"/EAPI="2"/' cat/econf-source/econf-source-2.ebuild || exit 1
mkdir -p "cat/doman"
cat <<END > cat/doman/doman-0.ebuild || exit 1
-EAPI="\${PV}"
+EAPI="0"
DESCRIPTION="The Description"
HOMEPAGE="http://example.com/"
SRC_URI=""
@@ -335,8 +337,9 @@ src_install() {
}
END
cp cat/doman/doman-{0,1}.ebuild || exit 1
+sed -i -e 's/EAPI="0"/EAPI="1"/' cat/doman/doman-1.ebuild || exit 1
cat <<END > cat/doman/doman-2.ebuild || exit 1
-EAPI="\${PV}"
+EAPI="2"
DESCRIPTION="The Description"
HOMEPAGE="http://example.com/"
SRC_URI=""
@@ -388,7 +391,7 @@ src_install() {
END
mkdir -p "cat/dosym-success"
cat <<'END' > cat/dosym-success/dosym-success-1.ebuild || exit 1
-EAPI="${PV}"
+EAPI="1"
DESCRIPTION="The Description"
HOMEPAGE="http://example.com/"
SRC_URI=""
@@ -430,7 +433,7 @@ pkg_setup() {
END
mkdir -p "cat/has-version"
cat <<'END' > cat/has-version/has-version-0.ebuild || exit 1
-EAPI="${PV}"
+EAPI="0"
DESCRIPTION="The Description"
HOMEPAGE="http://example.com/"
SRC_URI=""
@@ -451,7 +454,7 @@ pkg_setup() {
END
mkdir -p "cat/match"
cat <<'END' > cat/match/match-0.ebuild || exit 1
-EAPI="${PV}"
+EAPI="0"
DESCRIPTION="The Description"
HOMEPAGE="http://example.com/"
SRC_URI=""
@@ -482,7 +485,7 @@ DONE
END
mkdir -p "cat/vars"
cat <<'END' > cat/vars/vars-0.ebuild || exit 1
-EAPI="${PV}"
+EAPI="0"
DESCRIPTION="The Description"
HOMEPAGE="http://example.com/"
SRC_URI=""
@@ -505,7 +508,7 @@ pkg_preinst() {
END
mkdir -p "cat/src_prepare"
cat <<END > cat/src_prepare/src_prepare-0.ebuild || exit 1
-EAPI="\${PV}"
+EAPI="0"
DESCRIPTION="The Description"
HOMEPAGE="http://example.com/"
SRC_URI=""
@@ -519,10 +522,12 @@ src_prepare() {
}
END
cp cat/src_prepare/src_prepare-{0,1}.ebuild || exit 1
+sed -i -e 's/EAPI="0"/EAPI="1"/' cat/src_prepare/src_prepare-1.ebuild || exit 1
cp cat/src_prepare/src_prepare-{0,2}.ebuild || exit 1
+sed -i -e 's/EAPI="0"/EAPI="2"/' cat/src_prepare/src_prepare-2.ebuild || exit 1
mkdir -p "cat/src_configure"
cat <<END > cat/src_configure/src_configure-0.ebuild || exit 1
-EAPI="\${PV}"
+EAPI="0"
DESCRIPTION="The Description"
HOMEPAGE="http://example.com/"
SRC_URI=""
@@ -536,10 +541,12 @@ src_configure() {
}
END
cp cat/src_configure/src_configure-{0,1}.ebuild || exit 1
+sed -i -e 's/EAPI="0"/EAPI="1"/' cat/src_configure/src_configure-1.ebuild || exit 1
cp cat/src_configure/src_configure-{0,2}.ebuild || exit 1
+sed -i -e 's/EAPI="0"/EAPI="2"/' cat/src_configure/src_configure-2.ebuild || exit 1
mkdir -p "cat/default-src_configure" || exit 1
cat << END > cat/default-src_configure/default-src_configure-2.ebuild || exit 1
-EAPI="\${PV}"
+EAPI="2"
DESCRIPTION="The Description"
HOMEPAGE="http://example.com/"
SRC_URI=""
@@ -563,7 +570,7 @@ src_compile() {
END
mkdir -p "cat/default-src_compile" || exit 1
cat << END > cat/default-src_compile/default-src_compile-2.ebuild || exit 1
-EAPI="\${PV}"
+EAPI="2"
DESCRIPTION="The Description"
HOMEPAGE="http://example.com/"
SRC_URI=""
@@ -591,7 +598,7 @@ src_install() {
END
mkdir -p "cat/default_src_compile" || exit 1
cat << END > cat/default_src_compile/default_src_compile-2.ebuild || exit 1
-EAPI="\${PV}"
+EAPI="2"
DESCRIPTION="The Description"
HOMEPAGE="http://example.com/"
SRC_URI=""
@@ -620,7 +627,7 @@ src_compile() {
END
mkdir -p "cat/src_compile-via-default-func" || exit 1
cat << END > cat/src_compile-via-default-func/src_compile-via-default-func-2.ebuild || exit 1
-EAPI="\${PV}"
+EAPI="2"
DESCRIPTION="The Description"
HOMEPAGE="http://example.com/"
SRC_URI=""
@@ -666,6 +673,7 @@ pkg_setup() {
END
mkdir -p "cat/pkg_pretend"
cat <<"END" > cat/pkg_pretend/pkg_pretend-4.ebuild || exit 1
+EAPI="4"
DESCRIPTION="The Description"
HOMEPAGE="http://example.com/"
SRC_URI=""
@@ -673,7 +681,6 @@ SLOT="0"
IUSE="enabled-weasel broccoli"
LICENSE="GPL-2"
KEYWORDS="test"
-EAPI="4"
pkg_pretend() {
einfo "This is my pkg_pretend. There are many like it, but this one is mine."
@@ -681,6 +688,7 @@ pkg_pretend() {
END
mkdir -p "cat/pkg_pretend-failure"
cat <<"END" > cat/pkg_pretend-failure/pkg_pretend-failure-4.ebuild || exit 1
+EAPI="4"
DESCRIPTION="The Description"
HOMEPAGE="http://example.com/"
SRC_URI=""
@@ -688,7 +696,6 @@ SLOT="0"
IUSE="enabled-weasel broccoli"
LICENSE="GPL-2"
KEYWORDS="test"
-EAPI="4"
pkg_pretend() {
die "This is my pkg_pretend. There are many like it, but this one is mine."
@@ -696,7 +703,7 @@ pkg_pretend() {
END
mkdir -p "cat/default_src_install" || exit 1
cat << 'END' > cat/default_src_install/default_src_install-4.ebuild || exit 1
-EAPI="${PV}"
+EAPI="4"
DESCRIPTION="The Description"
HOMEPAGE="http://example.com/"
SRC_URI=""
@@ -704,7 +711,6 @@ SLOT="0"
IUSE="spork"
LICENSE="GPL-2"
KEYWORDS="test"
-EAPI="4"
S="${WORKDIR}"
@@ -732,7 +738,7 @@ pkg_preinst() {
END
mkdir -p "cat/docompress" || exit 1
cat << 'END' > cat/docompress/docompress-4.ebuild || exit 1
-EAPI="${PV}"
+EAPI="4"
DESCRIPTION="The Description"
HOMEPAGE="http://example.com/"
SRC_URI=""
@@ -740,7 +746,6 @@ SLOT="0"
IUSE="spork"
LICENSE="GPL-2"
KEYWORDS="test"
-EAPI="4"
S="${WORKDIR}"
@@ -751,7 +756,7 @@ src_install() {
END
mkdir -p "cat/dodoc-r" || exit 1
cat << 'END' > cat/dodoc-r/dodoc-r-4.ebuild || exit 1
-EAPI="${PV}"
+EAPI="4"
DESCRIPTION="The Description"
HOMEPAGE="http://example.com/"
SRC_URI=""
@@ -759,7 +764,6 @@ SLOT="0"
IUSE="spork"
LICENSE="GPL-2"
KEYWORDS="test"
-EAPI="4"
S="${WORKDIR}"
@@ -791,7 +795,7 @@ pkg_preinst() {
END
mkdir -p "cat/doins-symlink" || exit 1
cat << 'END' > cat/doins-symlink/doins-symlink-4.ebuild || exit 1
-EAPI="${PV}"
+EAPI="4"
DESCRIPTION="The Description"
HOMEPAGE="http://example.com/"
SRC_URI=""
@@ -799,7 +803,6 @@ SLOT="0"
IUSE="spork"
LICENSE="GPL-2"
KEYWORDS="test"
-EAPI="4"
S="${WORKDIR}"
@@ -844,6 +847,7 @@ pkg_preinst() {
END
mkdir -p "cat/banned-functions"
cat <<END > cat/banned-functions/banned-functions-4.ebuild || exit 1
+EAPI="4"
DESCRIPTION="The Description"
HOMEPAGE="http://example.com/"
SRC_URI=""
@@ -851,7 +855,6 @@ SLOT="0"
IUSE="spork"
LICENSE="GPL-2"
KEYWORDS="test"
-EAPI="4"
S="\${WORKDIR}"
@@ -862,7 +865,7 @@ src_install() {
END
mkdir -p "cat/econf-disable-dependency-tracking" || exit 1
cat << 'END' > cat/econf-disable-dependency-tracking/econf-disable-dependency-tracking-4_beta.ebuild || exit 1
-EAPI="${PV%_*}"
+EAPI="4"
DESCRIPTION="The Description"
HOMEPAGE="http://example.com/"
SRC_URI=""
@@ -891,7 +894,7 @@ EOF
}
END
cat << 'END' > cat/econf-disable-dependency-tracking/econf-disable-dependency-tracking-4.ebuild || exit 1
-EAPI="${PV}"
+EAPI="4"
DESCRIPTION="The Description"
HOMEPAGE="http://example.com/"
SRC_URI=""
@@ -926,7 +929,7 @@ EOF
END
mkdir -p "cat/strict-use" || exit 1
cat << 'END' > cat/strict-use/strict-use-4.ebuild || exit 1
-EAPI="${PV}"
+EAPI="4"
DESCRIPTION="The Description"
HOMEPAGE="http://example.com/"
SRC_URI=""
@@ -934,7 +937,6 @@ SLOT="0"
IUSE="spork enabled"
LICENSE="GPL-2"
KEYWORDS="test"
-EAPI="4"
S="${WORKDIR}"
@@ -945,7 +947,7 @@ pkg_setup() {
END
mkdir -p "cat/strict-use-fail" || exit 1
cat << 'END' > cat/strict-use-fail/strict-use-fail-4.ebuild || exit 1
-EAPI="${PV}"
+EAPI="4"
DESCRIPTION="The Description"
HOMEPAGE="http://example.com/"
SRC_URI=""
@@ -953,7 +955,6 @@ SLOT="0"
IUSE="spork enabled"
LICENSE="GPL-2"
KEYWORDS="test"
-EAPI="4"
S="${WORKDIR}"
@@ -963,7 +964,7 @@ pkg_setup() {
END
mkdir -p "cat/strict-use-injection" || exit 1
cat << 'END' > cat/strict-use-injection/strict-use-injection-4.ebuild || exit 1
-EAPI="${PV}"
+EAPI="4"
DESCRIPTION="The Description"
HOMEPAGE="http://example.com/"
SRC_URI=""
@@ -971,7 +972,6 @@ SLOT="0"
IUSE="spork enabled"
LICENSE="GPL-2"
KEYWORDS="test"
-EAPI="4"
S="${WORKDIR}"
@@ -984,9 +984,10 @@ pkg_setup() {
END
mkdir -p "cat/global-scope-use" || exit 1
cat << 'END' > cat/global-scope-use/global-scope-use-4.ebuild || exit 1
+EAPI="4"
+
use spork
-EAPI="${PV}"
DESCRIPTION="The Description"
HOMEPAGE="http://example.com/"
SRC_URI=""
@@ -994,13 +995,12 @@ SLOT="0"
IUSE="spork enabled"
LICENSE="GPL-2"
KEYWORDS="test"
-EAPI="4"
S="${WORKDIR}"
END
mkdir -p "cat/merge-type" || exit 1
cat << 'END' > cat/merge-type/merge-type-4.ebuild || exit 1
-EAPI="${PV}"
+EAPI="4"
DESCRIPTION="The Description"
HOMEPAGE="http://example.com/"
SRC_URI=""
@@ -1008,7 +1008,6 @@ SLOT="0"
IUSE="spork enabled"
LICENSE="GPL-2"
KEYWORDS="test"
-EAPI="4"
S="${WORKDIR}"
@@ -1020,7 +1019,7 @@ pkg_setup() {
END
mkdir -p "cat/merge-type-bin" || exit 1
cat << 'END' > cat/merge-type-bin/merge-type-bin-4.ebuild || exit 1
-EAPI="${PV}"
+EAPI="4"
DESCRIPTION="The Description"
HOMEPAGE="http://example.com/"
SRC_URI=""
@@ -1028,7 +1027,6 @@ SLOT="0"
IUSE="spork enabled"
LICENSE="GPL-2"
KEYWORDS="test"
-EAPI="4"
S="${WORKDIR}"
@@ -1040,133 +1038,124 @@ pkg_setup() {
END
mkdir -p "cat/required-use-all-good" || exit 1
cat << 'END' > cat/required-use-all-good/required-use-all-good-4.ebuild || exit 1
-EAPI="${PV}"
+EAPI="4"
DESCRIPTION="The Description"
HOMEPAGE="http://example.com/"
SRC_URI=""
SLOT="0"
LICENSE="GPL-2"
KEYWORDS="test"
-EAPI="4"
IUSE="enabled1 enabled2 enabled3"
REQUIRED_USE="enabled1 enabled2 enabled3"
S="${WORKDIR}"
END
mkdir -p "cat/required-use-all-empty" || exit 1
cat << 'END' > cat/required-use-all-empty/required-use-all-empty-4.ebuild || exit 1
-EAPI="${PV}"
+EAPI="4"
DESCRIPTION="The Description"
HOMEPAGE="http://example.com/"
SRC_URI=""
SLOT="0"
LICENSE="GPL-2"
KEYWORDS="test"
-EAPI="4"
IUSE=""
REQUIRED_USE="( ( ( ) ) )"
S="${WORKDIR}"
END
mkdir -p "cat/required-use-all-one-not-good" || exit 1
cat << 'END' > cat/required-use-all-one-not-good/required-use-all-one-not-good-4.ebuild || exit 1
-EAPI="${PV}"
+EAPI="4"
DESCRIPTION="The Description"
HOMEPAGE="http://example.com/"
SRC_URI=""
SLOT="0"
LICENSE="GPL-2"
KEYWORDS="test"
-EAPI="4"
IUSE="enabled1 disabled2 enabled3"
REQUIRED_USE="enabled1 disabled2 enabled3"
S="${WORKDIR}"
END
mkdir -p "cat/required-use-any-good" || exit 1
cat << 'END' > cat/required-use-any-good/required-use-any-good-4.ebuild || exit 1
-EAPI="${PV}"
+EAPI="4"
DESCRIPTION="The Description"
HOMEPAGE="http://example.com/"
SRC_URI=""
SLOT="0"
LICENSE="GPL-2"
KEYWORDS="test"
-EAPI="4"
IUSE="disabled1 enabled2 disabled3"
REQUIRED_USE="|| ( disabled1 enabled2 disabled3 )"
S="${WORKDIR}"
END
mkdir -p "cat/required-use-any-none" || exit 1
cat << 'END' > cat/required-use-any-none/required-use-any-none-4.ebuild || exit 1
-EAPI="${PV}"
+EAPI="4"
DESCRIPTION="The Description"
HOMEPAGE="http://example.com/"
SRC_URI=""
SLOT="0"
LICENSE="GPL-2"
KEYWORDS="test"
-EAPI="4"
IUSE="disabled1 disabled2 disabled3"
REQUIRED_USE="|| ( disabled1 disabled2 disabled3 )"
S="${WORKDIR}"
END
mkdir -p "cat/required-use-any-empty" || exit 1
cat << 'END' > cat/required-use-any-empty/required-use-any-empty-4.ebuild || exit 1
-EAPI="${PV}"
+EAPI="4"
DESCRIPTION="The Description"
HOMEPAGE="http://example.com/"
SRC_URI=""
SLOT="0"
LICENSE="GPL-2"
KEYWORDS="test"
-EAPI="4"
IUSE=""
REQUIRED_USE="|| ( )"
S="${WORKDIR}"
END
mkdir -p "cat/required-use-one-good" || exit 1
cat << 'END' > cat/required-use-one-good/required-use-one-good-4.ebuild || exit 1
-EAPI="${PV}"
+EAPI="4"
DESCRIPTION="The Description"
HOMEPAGE="http://example.com/"
SRC_URI=""
SLOT="0"
LICENSE="GPL-2"
KEYWORDS="test"
-EAPI="4"
IUSE="disabled1 enabled2 disabled3"
REQUIRED_USE="^^ ( disabled1 enabled2 disabled3 )"
S="${WORKDIR}"
END
mkdir -p "cat/required-use-one-none" || exit 1
cat << 'END' > cat/required-use-one-none/required-use-one-none-4.ebuild || exit 1
-EAPI="${PV}"
+EAPI="4"
DESCRIPTION="The Description"
HOMEPAGE="http://example.com/"
SRC_URI=""
SLOT="0"
LICENSE="GPL-2"
KEYWORDS="test"
-EAPI="4"
IUSE="disabled1 disabled2 disabled3"
REQUIRED_USE="^^ ( disabled1 disabled2 disabled3 )"
S="${WORKDIR}"
END
mkdir -p "cat/required-use-one-many" || exit 1
cat << 'END' > cat/required-use-one-many/required-use-one-many-4.ebuild || exit 1
-EAPI="${PV}"
+EAPI="4"
DESCRIPTION="The Description"
HOMEPAGE="http://example.com/"
SRC_URI=""
SLOT="0"
LICENSE="GPL-2"
KEYWORDS="test"
-EAPI="4"
IUSE="disabled1 enabled2 enabled3"
REQUIRED_USE="^^ ( disabled1 enabled2 enabled3 )"
S="${WORKDIR}"
END
mkdir -p "cat/doman"
cat <<"END" > cat/doman/doman-4.ebuild || exit 1
-EAPI="${PV}"
+EAPI="4"
DESCRIPTION="The Description"
HOMEPAGE="http://example.com/"
SRC_URI=""
@@ -1190,7 +1179,7 @@ src_install() {
END
mkdir -p "cat/use-with-enable-empty-third"
cat <<'END' > cat/use-with-enable-empty-third/use-with-enable-empty-third-4.ebuild || exit 1
-EAPI="${PV}"
+EAPI="4"
DESCRIPTION="The Description"
HOMEPAGE="http://example.com/"
SRC_URI=""